Bug 54942 - Communicate debt objects to clients
Summary: Communicate debt objects to clients
Status: RESOLVED FIXED
Alias: None
Product: atlantik
Classification: Applications
Component: monopd (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rob Kaper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-21 00:51 UTC by esigra
Modified: 2003-06-23 16:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch for CVS from today (939 bytes, patch)
2003-02-22 20:03 UTC, esigra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esigra 2003-02-21 00:51:20 UTC
Version:           CVS >= 20030212 (using KDE KDE 3.1)
Installed from:    Compiled From Sources
OS:          Linux

monopd allows building houses when in debt. That should not be allowed. Maybe unmortgaging shouldn't be allowed either.
Comment 1 esigra 2003-02-22 20:03:48 UTC
Created attachment 1029 [details]
Patch for CVS from today
Comment 2 Rob Kaper 2003-02-25 04:23:13 UTC
Even though it doesn't make much sense and will make getting out of debt much 
harder, the official rules do not seem to disallow this. I'm pretty sure that 
mortgaging is allowed at all times, and building too (although some people think 
the rules specify it must be your turn, but I can't even find anything like that in the 
official rules either). 
 
Comment 3 esigra 2003-02-25 13:53:21 UTC
Then it is up to the client to stop (or at least warn) the user from doing these unwise 
actions. Monopd should send a playerupdate playerid=whatever debt=amount. 
Comment 4 Rob Kaper 2003-03-08 18:01:29 UTC
Ok, will make sure the API is to be extended so debts can be communicated to clients. 
Comment 5 Rob Kaper 2003-06-22 04:51:20 UTC
Monopd now sends a hasdebt property for players (0.8.1/CVS >= 20030622) and 
Atlantik (both branches) now uses it to disable Mortgage and Build actions.